Subject: Re: [PATCH net-next 05/15] net: page_pool: record pools per netdev

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 Oct 2023 10:49:10 -0700

On Tue, 24 Oct 2023 11:31:46 -0600 David Ahern wrote:
> On 10/24/23 10:02 AM, Jakub Kicinski wrote:
> > Link the page pools with netdevs. This needs to be netns compatible
> > so we have two options. Either we record the pools per netns and
> > have to worry about moving them as the netdev gets moved.
> > Or we record them directly on the netdev so they move with the netdev
> > without any extra work.
> > 
> > Implement the latter option. Since pools may outlast netdev we need
> > a place to store orphans. In time honored tradition use loopback
> > for this purpose.
> 
> blackhole_netdev might be a better choice than loopback

With loopback we still keep it per netns, and still accessible 
via netlink.